2.3.5. Confirm Resized Server

Verb URI Description
POST /servers/id/action Confirms a pending resize action.

Normal Response Code(s): 204

Error Response Code(s): computeFault (400, 500, …), resizeNotAllowed (403), serviceUnavailable (503), unauthorized (401), forbidden (403), badRequest (400), badMethod (405), overLimit (413), itemNotFound (404), badMediaType (415), serverCapacityUnavailable (503), buildInProgress (409)

Status Transition: VERIFY_RESIZE ACTIVE
VERIFY_RESIZE ERROR (on error)

During a resize operation, the original server is saved for a period of time to allow roll back if a problem exists. Once the newly resized server is tested and has been confirmed to be functioning properly, use this operation to confirm the resize. After confirmation, the original server is removed and cannot be rolled back to. All resizes are automatically confirmed after 24 hours if they are not explicitly confirmed or reverted.

Specify the server ID as id in the URI.

In the request body, specify the confirmResize action.

This operation does not return a response body.

 

Example 2.35. Action Confirm Resize Request: XML

<?xml version="1.0" encoding="UTF-8"?>
<confirmResize
    xmlns="http://docs.openstack.org/compute/api/v1.1"/>

 

Example 2.36. Action Confirm Resize Request: JSON

{
    "confirmResize" : null
}



loading table of contents...